Package org.bukkit.event.entity

# Class LingeringPotionSplashEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.entity.EntityEvent
org.bukkit.event.entity.ProjectileHitEvent
org.bukkit.event.entity.LingeringPotionSplashEvent

All Implemented Interfaces:
  `Cancellable`

public class LingeringPotionSplashEvent extends ProjectileHitEvent implements Cancellable
Called when a splash potion hits an area

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Constructor Summary

Constructors
Constructor
Description
`LingeringPotionSplashEvent(@NotNull ThrownPotion potion, @NotNull AreaEffectCloud entity)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull AreaEffectCloud`
`getAreaEffectCloud()`
Gets the AreaEffectCloud spawned
`@NotNull ThrownPotion`
`getEntity()`
Returns the Entity involved in this event
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Whether to cancel the action that occurs when the projectile hits.

### Methods inherited from class org.bukkit.event.entity.ProjectileHitEvent

`getHitBlock, getHitBlockFace, getHitEntity`

### Methods inherited from class org.bukkit.event.entity.EntityEvent

`getEntityType`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LingeringPotionSplashEvent

public LingeringPotionSplashEvent(@NotNull @NotNull ThrownPotion potion, @NotNull @NotNull AreaEffectCloud entity)

## Method Details

### getEntity

@NotNull public @NotNull ThrownPotion getEntity()
Description copied from class: `EntityEvent`
Returns the Entity involved in this event

Overrides:
  `getEntity` in class `ProjectileHitEvent`
Returns:
  Entity who is involved in this event

### getAreaEffectCloud

@NotNull public @NotNull AreaEffectCloud getAreaEffectCloud()
Gets the AreaEffectCloud spawned

Returns:
  The spawned AreaEffectCloud

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Overrides:
  `isCancelled` in class `ProjectileHitEvent`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from class: `ProjectileHitEvent`
Whether to cancel the action that occurs when the projectile hits. In the case of an entity, it will not collide (unless it's a firework, then use `FireworkExplodeEvent`).
In the case of a block, some blocks (eg target block, bell) will not perform the action associated.
This does NOT prevent block collisions, and explosions will still occur unless their respective events are cancelled.

Specified by:
  `setCancelled` in interface `Cancellable`
Overrides:
  `setCancelled` in class `ProjectileHitEvent`
Parameters:
  `cancel` - true if you wish to cancel this event

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Overrides:
  `getHandlers` in class `ProjectileHitEvent`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()